diff a/src/java.management/share/classes/sun/management/VMManagementImpl.java b/src/java.management/share/classes/sun/management/VMManagementImpl.java
--- a/src/java.management/share/classes/sun/management/VMManagementImpl.java
+++ b/src/java.management/share/classes/sun/management/VMManagementImpl.java
@@ -115,10 +115,16 @@
 
     public native boolean isThreadContentionMonitoringEnabled();
     public native boolean isThreadCpuTimeEnabled();
     public native boolean isThreadAllocatedMemoryEnabled();
 
+    // AOT Subsystem
+    public native String  getAOTMode();
+    public native boolean isAOTRecording();
+    public native long    getAOTRecordingDuration();
+    public native boolean endAOTRecording();
+
     // Class Loading Subsystem
     public int    getLoadedClassCount() {
         long count = getTotalClassCount() - getUnloadedClassCount();
         return (int) count;
     }
